## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate postcard

Name:           rust-postcard
Version:        1.1.1
Release:        %autorelease
Summary:        No_std + serde compatible message library for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/postcard
Source:         %{crates_source}
# * Fix missing license files in published crates:
#   https://github.com/jamesmunns/postcard/pull/227
Source10:       https://github.com/jamesmunns/postcard/raw/refs/tags/postcard/v%{version}/LICENSE-APACHE
Source11:       https://github.com/jamesmunns/postcard/raw/refs/tags/postcard/v%{version}/LICENSE-MIT
# Manually created patch for downstream crate metadata changes
# * Update cobs to 0.3.0: https://github.com/jamesmunns/postcard/pull/226
# * Update postcard’s dep. on postcard-derive to 0.2:
#   https://github.com/jamesmunns/postcard/pull/228
# * Patch out features that would require embedded-io or defmt
Patch:          postcard-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A no_std + serde compatible message library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crc-devel %{_description}

This package contains library source intended for building other packages which
use the "crc" feature of the "%{crate}" crate.

%files       -n %{name}+crc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-derive-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-derive" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapless-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapless-devel %{_description}

This package contains library source intended for building other packages which
use the "heapless" feature of the "%{crate}" crate.

%files       -n %{name}+heapless-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapless-cas-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapless-cas-devel %{_description}

This package contains library source intended for building other packages which
use the "heapless-cas" feature of the "%{crate}" crate.

%files       -n %{name}+heapless-cas-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+paste-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paste-devel %{_description}

This package contains library source intended for building other packages which
use the "paste" feature of the "%{crate}" crate.

%files       -n %{name}+paste-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+postcard-derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+postcard-derive-devel %{_description}

This package contains library source intended for building other packages which
use the "postcard-derive" feature of the "%{crate}" crate.

%files       -n %{name}+postcard-derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-crc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-crc-devel %{_description}

This package contains library source intended for building other packages which
use the "use-crc" feature of the "%{crate}" crate.

%files       -n %{name}+use-crc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-std-devel %{_description}

This package contains library source intended for building other packages which
use the "use-std" feature of the "%{crate}" crate.

%files       -n %{name}+use-std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -p '%{SOURCE10}' '%{SOURCE11}' .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-1
- Initial package (close RHBZ#2366746)
## END: Generated by rpmautospec
